libetonyek::KEYCollector Class Reference documentation

Classes | Public Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::KEYCollector Class Reference

`#include <KEYCollector.h>`

Inheritance diagram for libetonyek::KEYCollector:

## Classes
struct | Slide

## Public Member Functions
| KEYCollector (IWORKDocumentInterface *document)
| ~KEYCollector ()
void | collectPresentationSize (const IWORKSize &size)
KEYLayerPtr_t | collectLayer ()
void | insertLayer (const KEYLayerPtr_t &layer)
void | collectPage ()
KEYPlaceholderPtr_t | collectTextPlaceholder (const IWORKStylePtr_t &style, bool title)
void | insertTextPlaceholder (const KEYPlaceholderPtr_t &placeholder)
void | collectNote ()
void | collectStickyNote ()
void | setSlideStyle (const IWORKStylePtr_t &style)
void | startDocument ()
void | endDocument ()
void | startSlides ()
void | endSlides ()
void | startThemes ()
void | endThemes ()
void | startPage ()
void | endPage ()
void | startLayer ()
void | endLayer ()
Public Member Functions inherited from libetonyek::IWORKCollector
| IWORKCollector (IWORKDocumentInterface *document)
| ~IWORKCollector ()
void | setRecorder (const std::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectImage (const IWORKImagePtr_t &image)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape ()
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKSize &size, double middleX, double middleY)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectMedia (const IWORKMediaContentPtr_t &content)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const std::shared_ptr< IWORKTable > &table)
void | collectText (const std::shared_ptr< IWORKText > &text)
void | startDocument ()
void | endDocument ()
void | startGroup ()
void | endGroup ()
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKStylesheetPtr_t | getStylesheet () const
IWORKOutputManager & | getOutputManager ()
virtual std::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap, const IWORKLanguageManager &langManager) const
virtual std::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false) const

## Protected Attributes
bool | m_paint
Protected Attributes inherited from libetonyek::IWORKCollector
IWORKDocumentInterface * | m_document
std::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers

## Private Member Functions
void | drawTable () override
void | drawMedia (double x, double y, double w, double h, const std::string &mimetype, const librevenge::RVNGBinaryData &data) override
void | fillShapeProperties (librevenge::RVNGPropertyList &props) override
void | drawTextBox (const IWORKTextPtr_t &text, const glm::dmat3 &trafo, const IWORKGeometryPtr_t &boundingBox) override
void | writeSlide (const Slide &slide)

## Private Attributes
IWORKSize | m_size
std::deque< Slide > | m_slides
IWORKOutputElements | m_notes
IWORKOutputElements | m_stickyNotes
bool | m_pageOpened
bool | m_layerOpened
int | m_layerCount

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKCollector
void | fillMetadata (librevenge::RVNGPropertyList &props)
Static Protected Member Functions inherited from libetonyek::IWORKCollector
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)

## Constructor & Destructor Documentation

## ◆ KEYCollector()

libetonyek::KEYCollector::KEYCollector | ( | IWORKDocumentInterface * | document | ) |
| explicit

## ◆ ~KEYCollector()

libetonyek::KEYCollector::~KEYCollector | ( |  | ) |

## Member Function Documentation

## ◆ collectLayer()

KEYLayerPtr_t libetonyek::KEYCollector::collectLayer | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ collectNote()

void libetonyek::KEYCollector::collectNote | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseNotes().

## ◆ collectPage()

void libetonyek::KEYCollector::collectPage | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ collectPresentationSize()

void libetonyek::KEYCollector::collectPresentationSize | ( | const IWORKSize & | size | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ collectStickyNote()

void libetonyek::KEYCollector::collectStickyNote | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseStickyNote().

## ◆ collectTextPlaceholder()

KEYPlaceholderPtr_t libetonyek::KEYCollector::collectTextPlaceholder | ( | const IWORKStylePtr_t & | style,
|  | bool | title
| ) |  |

Referenced by libetonyek::KEY6Parser::parsePlaceholder().

## ◆ drawMedia()

void libetonyek::KEYCollector::drawMedia | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h,
|  | const std::string & | mimetype,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawTable()

void libetonyek::KEYCollector::drawTable | ( |  | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ drawTextBox()

void libetonyek::KEYCollector::drawTextBox | ( | const IWORKTextPtr_t & | text,
|  | const glm::dmat3 & | trafo,
|  | const IWORKGeometryPtr_t & | boundingBox
| ) |  |
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

Referenced by insertTextPlaceholder().

## ◆ endDocument()

void libetonyek::KEYCollector::endDocument | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ endLayer()

void libetonyek::KEYCollector::endLayer | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ endPage()

void libetonyek::KEYCollector::endPage | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ endSlides()

void libetonyek::KEYCollector::endSlides | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ endThemes()

void libetonyek::KEYCollector::endThemes | ( |  | ) |

## ◆ fillShapeProperties()

void libetonyek::KEYCollector::fillShapeProperties | ( | librevenge::RVNGPropertyList & | props | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKCollector.

## ◆ insertLayer()

void libetonyek::KEYCollector::insertLayer | ( | const KEYLayerPtr_t & | layer | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ insertTextPlaceholder()

void libetonyek::KEYCollector::insertTextPlaceholder | ( | const KEYPlaceholderPtr_t & | placeholder | ) |

Referenced by libetonyek::KEY6Parser::parsePlaceholder().

## ◆ setSlideStyle()

void libetonyek::KEYCollector::setSlideStyle | ( | const IWORKStylePtr_t & | style | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ startDocument()

void libetonyek::KEYCollector::startDocument | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ startLayer()

void libetonyek::KEYCollector::startLayer | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ startPage()

void libetonyek::KEYCollector::startPage | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parseSlide().

## ◆ startSlides()

void libetonyek::KEYCollector::startSlides | ( |  | ) |

Referenced by libetonyek::KEY6Parser::parsePresentation().

## ◆ startThemes()

void libetonyek::KEYCollector::startThemes | ( |  | ) |

## ◆ writeSlide()

void libetonyek::KEYCollector::writeSlide | ( | const Slide & | slide | ) |
| private

Referenced by endDocument().

## Member Data Documentation

## ◆ m_layerCount

int libetonyek::KEYCollector::m_layerCount
| private

Referenced by insertLayer().

## ◆ m_layerOpened

bool libetonyek::KEYCollector::m_layerOpened
| private

Referenced by collectLayer(), endLayer(), insertLayer(), startLayer(), and startPage().

## ◆ m_notes

IWORKOutputElements libetonyek::KEYCollector::m_notes
| private

Referenced by collectNote(), collectPage(), endPage(), and startPage().

## ◆ m_pageOpened

bool libetonyek::KEYCollector::m_pageOpened
| private

Referenced by collectPage(), endLayer(), endPage(), setSlideStyle(), startLayer(), and startPage().

## ◆ m_paint

bool libetonyek::KEYCollector::m_paint
| protected

Referenced by collectPage(), libetonyek::KEY2Collector::createTable(), libetonyek::KEY2Collector::createText(), endSlides(), insertLayer(), KEYCollector(), startPage(), startSlides(), and ~KEYCollector().

## ◆ m_size

IWORKSize libetonyek::KEYCollector::m_size
| private

Referenced by collectPresentationSize(), and writeSlide().

## ◆ m_slides

std::deque<Slide> libetonyek::KEYCollector::m_slides
| private

Referenced by collectPage(), endDocument(), insertLayer(), setSlideStyle(), and startPage().

## ◆ m_stickyNotes

IWORKOutputElements libetonyek::KEYCollector::m_stickyNotes
| private

Referenced by collectPage(), collectStickyNote(), endPage(), and startPage().

The documentation for this class was generated from the following files:

- KEYCollector.h
- KEYCollector.cpp